package cz.moneta.test.dsl.cagw.api.v2.external.client;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.cagw.CaGwEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;
import cz.moneta.test.dsl.cagw.api.v2.external.client.kyc.KycBuilder;

public class ClientBuilder {
    private final Harness harness;

    public ClientBuilder(Harness harness) {
        this.harness = harness;
    }

    public KycBuilder kyc() {
        return new KycBuilder(harness);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, CaGwEndpoint.class, harness);
    }
}